using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixDbAdmin.Class;
using Utils.Logs;

namespace PhoenixDbAdmin.GUI
{
    /// <summary>
    /// Users list
    /// </summary>
    public partial class fr_Users : Form
    {

        #region Constructor
        /// <summary>
        /// Constructor
        /// </summary>
        public fr_Users()
        {
            InitializeComponent();
        }
        #endregion

        #region Methods
        private void SetDataGridView()
        {
            dgv_Users.Columns["ID"].Visible = false;
            dgv_Users.Columns["Mail"].Visible = false;

            dgv_Users.Columns["DateInstall"].DisplayIndex = 0;
            dgv_Users.Columns["Name"].DisplayIndex = 1;
            dgv_Users.Columns["Surname"].DisplayIndex = 2;
            dgv_Users.Columns["DateOfBirth"].DisplayIndex = 3;
            dgv_Users.Columns["Reasons"].DisplayIndex = 4;

            dgv_Users.Columns["DateOfBirth"].HeaderText = "Date of birth";
            dgv_Users.Columns["DateInstall"].HeaderText = "Installation date";

        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets the DataSource of the DataGridView
        /// </summary>
        public object DataSource
        {
            set
            {
                dgv_Users.DataSource = value;
                SetDataGridView();
            }
            get { return dgv_Users.DataSource; }
        }
        #endregion
    }
}